<?php

function get_name_by_auto_id( $table_name = NULL, $auto_id = NULL, $field_name = 'name' )
{
    $ci = &get_instance();
    if ( !empty( $table_name ) and !empty( $auto_id ) and !empty( $field_name ) ) {
        $query     = $ci->db->select( 'id,' . $field_name );
        $query     = $ci->db->where( 'id', $auto_id );
        $query     = $ci->db->get( $table_name );
        $total_row = $query->num_rows();
        if ( $total_row > 0 ) {
            $ressult = $query->row();
            return $ressult->$field_name;
        } else {
            return FALSE;
        }
    } else {
        return FALSE;
    }
}

function get_data( $table_name = NULL, $auto_id = NULL, $field_name = 'name' )
{
    $ci = &get_instance();
    if ( !empty( $table_name ) and !empty( $auto_id ) and !empty( $field_name ) ) {
        $query     = $ci->db->select( 'id,' . $field_name );
        $query     = $ci->db->where( 'id', $auto_id );
        $query     = $ci->db->get( $table_name );
        $total_row = $query->num_rows();
        if ( $total_row > 0 ) {
            $ressult = $query->row();
            return $ressult->$field_name;
        } else {
            return FALSE;
        }
    } else {
        return FALSE;
    }
}

function check_unique_field( $table_name = NULL, $unique_field = NULL, $field_name = 'name' )
{
    $ci = &get_instance();
    if ( !empty( $table_name ) and !empty( $unique_field ) and !empty( $field_name ) ) {
        $query     = $ci->db->select( $field_name );
        $query     = $ci->db->where( $field_name, $unique_field );
        $query     = $ci->db->get( $table_name );
        $total_row = $query->num_rows();
        if ( $total_row > 0 ) {
            return FALSE;
        } else {
            return TRUE;
        }
    } else {
        return FALSE;
    }
}

function get_examinfo_by_id( $table_name = NULL, $auto_id = NULL, $field_name = 'name' )
{
    $ci = &get_instance();
    if ( !empty( $table_name ) and !empty( $auto_id ) and !empty( $field_name ) ) {
        $query     = $ci->db->select( 'exam_id,' . $field_name );
        $query     = $ci->db->where( 'exam_id', $auto_id );
        $query     = $ci->db->get( $table_name );
        $total_row = $query->num_rows();
        if ( $total_row > 0 ) {
            $ressult = $query->row();
            return $ressult->$field_name;
        } else {
            return FALSE;
        }
    } else {
        return FALSE;
    }
}

function bangla_date ($fDate) {
    //$currentDate = date("l, F j, Y");
    $engDATE = array('1','2','3','4','5','6','7','8','9','0','January','February','March','April',
    'May','June','July','August','September','October','November','December','Saturday','Sunday',
    'Monday','Tuesday','Wednesday','Thursday','Friday','A','P','M');

    $bangDATE = array('১','২','৩','৪','৫','৬','৭','৮','৯','০','জানুয়ারি','ফেব্রুয়ারি','মার্চ','এপ্রিল','মে',
    'জুন','জুলাই','আগস্ট','সেপ্টেম্বর','অক্টোবর','নভেম্বর','ডিসেম্বর','শনিবার','রবিবার','সোমবার','মঙ্গলবার','
    বুধবার','বৃহস্পতিবার','শুক্রবার','এ','পি','এম');

    $convertedDATE = str_replace($engDATE, $bangDATE, $fDate);
    return $convertedDATE;
    //echo "$convertedDATE";
}

?>