<?php 
    defined('BASEPATH') OR exit('No direct script access allowed'); 
    if((isset($_SESSION['user_id'])) && (isset($_SESSION['pass'])) && ($_SESSION['status']=='a')) {
?>

<!DOCTYPE html>
<html >
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <script src="https://cdn.ckeditor.com/4.12.1/standard/ckeditor.js"></script>
        <?php $this->load->view('admin/head'); ?>
    </head>
    <body class="hold-transition skin-blue fixed sidebar-mini">
        <div class="wrapper">
            <header class="main-header" id="alert">
				<?php $this->load->view('admin/header'); ?>
			</header>
            <?php $this->load->view('admin/menu_left'); ?>

<div class="content-wrapper">

    <section class="content-header">
        <h1>
            <i class="fa fa-object-group"></i> Edit Employee  

            <?php echo $this->session->flashdata("msg"); ?>
		</h1>
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <!-- Horizontal Form -->
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title">Edit Employee</h3>
                    </div><!-- /.box-header -->
                    <?php 
                        $query = $this->db->query("select * from employee where id = '$id' ");
                        foreach($query->result() as $key => $result) { 
                    ?>
                    <form action="<?= base_url() ?>admin/employee_update" method="post" accept-charset="utf-8" enctype="multipart/form-data">
                        <div class="box-body">

                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Name</label>
                                    <input name="name" type="text" value="<?= $result->name ?>" class="form-control" required>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Designation</label>
                                    <input name="designation" type="text" value="<?= $result->designation ?>" class="form-control" required>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Change Picture [if needed]</label>
                                    <input class="filestyle form-control" type='file' name='picture'>
                                    <input type="hidden" name="picture_name" value="<?= $result->pic ?>">
                                    <input type="hidden" name="id" value="<?= $result->id ?>">
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Mobile</label>
                                    <input name="mobile" type="text" value="<?= $result->mobile ?>" class="form-control">
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>SL No.</label>
                                    <input name="sl" type="text" value="<?= $result->sl ?>" class="form-control" required>
                                </div>
                            </div>

                        </div>

                        <div class="box-footer">
                            <button type="submit" class="btn btn-info pull-right" name="f_save">Edit Confirm</button>
                        </div>
                    </form>
                    <?php } ?>
                </div>

            </div>
            <!-- left column -->
            
            

        </div>
        <div class="row">
            <!-- left column -->

            <!-- right column -->
            <div class="col-md-12">

            </div><!--/.col (right) -->
        </div>   <!-- /.row -->
    </section><!-- /.content -->
</div><!-- /.content-wrapper -->

	
<?php $this->load->view('admin/f9'); ?>

</body>
</html>
<?php
    } else {
        //redirect('http://ok.com');
        echo "<a href='admin'>Please Login First</a>";
    }
?>

<script type="text/javascript">
    $(document).ready(function () {                
        $("#cat_id").change(function(){
            var cat_id = $(this).val();
            $(".scat").load("<?= base_url() ?>ajax/cat_scat.php", 
                { cat_id : cat_id });
        });        
    });
</script>


<script type="text/javascript">
    $(document).ready(function () {
        var date_format = 'yyyy-mm-dd';
        $('#dob,#dob2').datepicker({
            format: date_format,
            autoclose: true
        });
        $("#btnreset").click(function () {
            $("#form1")[0].reset();
        });
    });
</script>


